[SciPy-dev] Matlab io bug; request for advice

Matthew Brett matthew.brett@gmail....
Thu Feb 19 21:40:54 CST 2009


Hi,

>> As a user of the MATLAB functionality, I would vote for the warning
>> message in 0.7.1 and the change in 0.8 (with an option to keep the
>> current behaviour).
>>
>> I use MATLAB files a lot to store results/data and it would/will be a
>> pain to change everywhere I load files that I've previously saved (and
>> then have to keep track of which data files were saved with the old
>> version and the new which is why the compatibility option is
>> important). I'm sure a lot of other people are in a similar
>> situation... I think we really need a warning and a grace period - I
>> wouldn't expect this sort of possible breakage in a point release.

That seems the most reasonable compromise given the range of opinions.

I've put the deprecation warning into SVN.  I will put current SVN
into 7.1, and intend to change the behavior for 0.8 as suggested.

Best,

Matthew


More information about the Scipy-dev mailing list